Bug 1047112 - gwt compile phase out of memory error
Summary: gwt compile phase out of memory error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: 6.0.0
Assignee: Alexandre Porcelli
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 06:55 UTC by Ryan Zhang
Modified: 2014-08-06 20:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:06:36 UTC
Type: Bug


Attachments (Terms of Use)
build.log (1.28 MB, text/x-log)
2013-12-29 06:56 UTC, Ryan Zhang
no flags Details

Description Ryan Zhang 2013-12-29 06:55:03 UTC
Description of problem:
We hit the gwt compile out of memory error in MEAD when building kie-wb-distributions. See the following, I also attached the build.log.

Compiling permutation 5...
DEBUG util.py:257:  [INFO]          Compiling
DEBUG util.py:257:  [INFO]             Compiling permutation 6...
DEBUG util.py:257:  [INFO]       [ERROR] OutOfMemoryError: Increase heap size or lower gwt.jjs.maxThreads
DEBUG util.py:257:  [INFO] java.lang.OutOfMemoryError: GC overhead limit exceeded
DEBUG util.py:257:  [INFO] 	at java.util.HashMap.createEntry(HashMap.java:901)
DEBUG util.py:257:  [INFO] 	at java.util.HashMap.addEntry(HashMap.java:888)
DEBUG util.py:257:  [INFO] 	at java.util.HashMap.put(HashMap.java:509)

Version-Release number of selected component (if applicable):

We usually can specify JAVA_OPTS in build command, however it not working in this case.
I saw the jvmOpts has been hard coded in 
https://github.com/droolsjbpm/kie-wb-distributions/blob/6.0.x/kie-wb/kie-wb-webapp/pom.xml#L960

By adding a patch to increase -Xmx to  -Xmx4096m , the issue disappear.

Should we increase that in the source kie-wb-distributions/kie-wb/kie-wb-webapp/pom.xml?


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ryan Zhang 2013-12-29 06:56:12 UTC
Created attachment 842932 [details]
build.log

Comment 7 Lukáš Petrovický 2014-01-19 18:20:23 UTC
Product now builds, therefore VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.